<?php

namespace Itguild\Tables;

class Filter
{
//    private array $columnsForFilter;
    private string $column;
    private string $html = "";
    private string $baseUrl;

    public function __construct(array $columns, string $baseUrl)
    {
        $this->columnsForFilter = $columns;
        $this->baseUrl = $baseUrl;
    }

    public function create(): void
    {
        $this->html = str_replace('{action_link}', $this->baseUrl, $this->getTemplate());
        $this->html = str_replace('{column}', 'id', $this->html);
    }

    public function render(): void
    {
        echo $this->html;
    }

    public function fetch(): string
    {
        return $this->html;
    }

    public function getColumnsForFilter(): array
    {
        return $this->columnsForFilter;
    }

    public function getTemplate(): string
    {
        return '<nav aria-label="Filters example">
        <form action="{action_link}">
        <input type="text" name="{column}">
        

    </nav>';
    }
}