<?php

namespace Itguild\Tables;

use Itguild\Tables\formats\DateFormat;
use Itguild\Tables\formats\HtmlFormat;
use Itguild\Tables\formats\PhoneNumberFormat;
use Itguild\Tables\formats\TextFormat;

class FormatMapper
{

    public static function getFormat(): array
    {
        return [
            'text' => TextFormat::class,
            'date' => DateFormat::class,
            'html' => HtmlFormat::class,
            'phoneNumber' => PhoneNumberFormat::class,
        ];
    }

}