<?php

namespace Itguild\Tables\ActionColumn;

abstract class ActionColumn
{
    protected string $baseUrl;
    protected string $prefix;

    protected int $id;
    public function __construct(string $baseUrl, int $id, string $prefix = '')
    {
        if (!empty($prefix)){
            $this->prefix = $prefix;
        }
        $this->baseUrl = $baseUrl;
        $this->id = $id;
    }

    abstract public function fetch();


}